| Home | Libraries | People | FAQ | More

##### http::message::need_eof

Returns `true` if the message semantics require an end of file.

###### Synopsis

    bool
    need_eof() const;

###### Description

For HTTP requests, this function returns the logical NOT of a call to `http::message::keep_alive`. For HTTP responses, this function returns the logical NOT of a call to `http::message::keep_alive` if any of the following are true:

- `http::message::has_content_length` would return `true`
- `http::message::chunked` would return `true`
- `http::header::result` returns `http::no_content`
- `http::header::result` returns `http::not_modified`
- `http::header::result` returns any informational status class (100 to 199)

Otherwise, the function returns `true`.

###### See Also

https://tools.ietf.org/html/rfc7230#section-3.3